View Issue Details

IDProjectCategoryView StatusLast Update
0002940SymmetricDSImprovementpublic2016-12-30 08:10
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.11 
Target Version3.8.12Fixed in Version3.8.12 
Summary0002940: Sql Server - An implicit conversion on column [sym_outgoing_batch].[status] to data type "nchar" may be causing index su
DescriptionAn implicit conversion on column [dbo].[sym_outgoing_batch].[status] to data type "nchar" may be causing index suppression

An implicit conversion in a WHERE clause of a query in [IVR_GUARDIAN] can cause index suppression if an indexed column is of a different type resulting in a scan rather than a seek.

Recommendation:
It is recommended that you consider redesigning this WHERE clause to prevent index suppression and performance degradation.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 d9ec0bf9

2016-12-09 14:44:08

chenson

Details Diff
0002940: Sql Server - An implicit conversion on column
[sym_outgoing_batch].[status] to data type "nchar" may be causing index
su

0002940
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File

Issue History

Date Modified Username Field Change
2016-12-09 14:30 chenson New Issue
2016-12-09 14:30 chenson Status new => assigned
2016-12-09 14:30 chenson Assigned To => chenson
2016-12-09 15:00 chenson Changeset attached => SymmetricDS 3.8 d9ec0bf9
2016-12-14 19:30 chenson Status assigned => resolved
2016-12-14 19:30 chenson Fixed in Version => 3.8.12
2016-12-14 19:30 chenson Resolution open => fixed
2016-12-30 08:10 chenson Status resolved => closed